Mailinglist Archive: opensuse-factory (807 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170219 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170219

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
Mesa (13.0.4 -> 17.0.0)
NetworkManager (1.6.0 -> 1.6.2)
apparmor
bluedevil5 (5.9.1 -> 5.9.2)
boost
brasero
breeze (5.9.1 -> 5.9.2)
breeze-gtk (5.9.1 -> 5.9.2)
breeze4-style (5.9.1 -> 5.9.2)
evolution (3.22.4 -> 3.22.5)
evolution-data-server (3.22.4 -> 3.22.5)
evolution-ews (3.22.4 -> 3.22.5)
flatpak (0.8.0 -> 0.8.2)
gdk-pixbuf (2.36.4 -> 2.36.5)
glib2 (2.50.2 -> 2.50.3)
gnome-bluetooth (3.20.0 -> 3.20.1)
gnome-calculator (3.22.2 -> 3.22.3)
gnome-photos (3.22.3 -> 3.22.4)
gnome-session
gnome-video-effects (0.4.1 -> 0.4.3)
grilo (0.3.2 -> 0.3.3)
gtk3 (3.22.7 -> 3.22.8)
gtksourceview (3.22.1 -> 3.22.2)
ispell
kactivitymanagerd (5.9.1 -> 5.9.2)
kcm_sddm (5.9.1 -> 5.9.2)
kde-cli-tools5 (5.9.1 -> 5.9.2)
kde-gtk-config5 (5.9.1 -> 5.9.2)
kde-user-manager (5.9.1 -> 5.9.2)
kgamma5 (5.9.1 -> 5.9.2)
khotkeys5 (5.9.1 -> 5.9.2)
kinfocenter5 (5.9.1 -> 5.9.2)
kmenuedit5 (5.9.1 -> 5.9.2)
kscreen5 (5.9.1 -> 5.9.2)
kscreenlocker (5.9.1 -> 5.9.2)
ksshaskpass5 (5.9.1 -> 5.9.2)
ksysguard5 (5.9.1 -> 5.9.2)
kwin5 (5.9.1 -> 5.9.2)
libabw
libapparmor
libcdr
libdlm
libe-book
libetonyek
libgltf
libkdecoration2 (5.9.1 -> 5.9.2)
libkscreen2 (5.9.1 -> 5.9.2)
libksysguard5 (5.9.1 -> 5.9.2)
liblouis
libmspub
libmwaw (0.3.9 -> 0.3.10)
libpagemaker
libquicktime
libreoffice (5.2.3.3 -> 5.3.0.3)
librevenge
libsigc++2
libvisio
libwps (0.4.4 -> 0.4.5)
libzypp (16.4.0 -> 16.4.2)
milou5 (5.9.1 -> 5.9.2)
orc
ostree (2016.15 -> 2017.1)
oxygen5 (5.9.1 -> 5.9.2)
plasma-nm5 (5.9.1 -> 5.9.2)
plasma5-addons (5.9.1 -> 5.9.2)
plasma5-desktop (5.9.1 -> 5.9.2)
plasma5-integration (5.9.1 -> 5.9.2)
plasma5-openSUSE
plasma5-pa (5.9.1 -> 5.9.2)
plasma5-session (5.9.1 -> 5.9.2)
plasma5-workspace (5.9.1 -> 5.9.2)
polkit-kde-agent-5 (5.9.1 -> 5.9.2)
powerdevil5 (5.9.1 -> 5.9.2)
python3 (3.5.1 -> 3.6.0)
python3-base (3.5.1 -> 3.6.0)
python3-louis
python3-urllib3
shim-leap
systemsettings5 (5.9.1 -> 5.9.2)
unzip
v4l-utils (1.10.1 -> 1.12.2)
vim
vinagre
webkit2gtk3 (2.14.3 -> 2.14.5)
wine (2.1 -> 2.2)
wireshark
zypper (1.13.15 -> 1.13.16)

=== Details ===

==== Mesa ====
Version update (13.0.4 -> 17.0.0)
Subpackages: Mesa-32bit Mesa-dri-devel Mesa-dri-nouveau Mesa-libEGL-devel
Mesa-libEGL1 Mesa-libEGL1-32bit Mesa-libGL-devel Mesa-libGL1 Mesa-libGL1-32bit
Mesa-libGLESv2-2 Mesa-libglapi0 Mesa-libglapi0-32bit Mesa-libva libOSMesa9
libOSMesa9-32bit libgbm1 libgbm1-32bit libvdpau_nouveau libvdpau_r300
libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libwayland-egl1 libxatracker2

- update to 17.0.0
- removed n_Fixed-build-against-wayland-1.2.1.patch , version requirement
bumped up by upstream.
* Vulkan drivers:
+ Correctly return (and implement) VK_INCOMPLETE on multiple WSI queries
+ Support for the VK_KHR_sampler_mirror_clamp_to_edge extension
+ We now use the Khoronos vk.xml file to generate the entrypoints
* ANV:
+ HiZ and performance improvements
+ Float64 support and tessellation shader support.
* RADV:
+ Support multiple devices
+ Support for the VK_AMD_draw_indirect_count extension
+ Support for the VK_AMD_negative_viewport_height extension
* Mesa core:
+ Noticeable refactoring en route to GLSL Shader Cache
+ Groundwork for int64
* i965:
+ OpenGL 4.5 support on Haswell hardware
+ Reuse the same BLORP and ISL code as the ANV driver
* Gallium:
+ HUD: A number of race issues and memory leaks were resolved.
* freedreno
+ Support for a5xx
* nouveau:
+ OpenGL 4.3 support on Maxwell hardware
+ Improved performance due to instruction pipelining (Maxwell)
* r600/radeonsi
+ VCE: Handle H.264 level 5.2
+ Polaris12 support
+ Dozens of performance improvements
* Clover:
+ Implement clGetExtensionFunctionAddressForPlatform.
+ Add missing clGetDeviceInfo CL1.2 queries
* VDPAU:
+ Use dri3 to directly send the buffer to X
* Build:
+ Building RADV requires --enable-gallium-llvm
+ Compatibility fixes for building mesa as part of ARC
+ The vulkan headers vk_platform.h and vulkan.h are no longer installed
+ A couple of configure options (--with-sha1 and --disable-shader-cache) are
removed alongside their respective library requirements.

==== NetworkManager ====
Version update (1.6.0 -> 1.6.2)
Subpackages: NetworkManager-devel libnm-glib-vpn1 libnm-glib4 libnm-util2
libnm0 typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0
typelib-1_0-NetworkManager-1_0

- Update to version 1.6.2:
+ Fixed build warnings with GCC 7.
+ Multiple bug fixes in NetworkManager, nmcli and nm-online
including several crashes.

==== apparmor ====
Subpackages: apparmor-abstractions apparmor-docs apparmor-parser
apparmor-profiles apparmor-utils pam_apparmor pam_apparmor-32bit perl-apparmor
python3-apparmor

- add python3-drop-re-locale.patch: remove deprecated re.LOCALE
flag in Python UI as it was dropped from Python 3.6 (lp#1661766)

==== bluedevil5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== boost ====
Subpackages: boost-license1_63_0 boost_1_63-devel boost_1_63-jam
libboost_atomic1_63_0 libboost_atomic1_63_0-devel libboost_chrono1_63_0
libboost_chrono1_63_0-devel libboost_container1_63_0
libboost_container1_63_0-devel libboost_context1_63_0
libboost_context1_63_0-devel libboost_coroutine1_63_0
libboost_coroutine1_63_0-devel libboost_date_time1_63_0
libboost_date_time1_63_0-devel libboost_fiber1_63_0 libboost_fiber1_63_0-devel
libboost_filesystem1_63_0 libboost_filesystem1_63_0-devel libboost_graph1_63_0
libboost_graph1_63_0-devel libboost_graph_parallel1_63_0
libboost_graph_parallel1_63_0-devel libboost_headers1_63_0-devel
libboost_iostreams1_63_0 libboost_iostreams1_63_0-devel libboost_locale1_63_0
libboost_locale1_63_0-devel libboost_log1_63_0 libboost_log1_63_0-devel
libboost_math1_63_0 libboost_math1_63_0-devel libboost_mpi1_63_0
libboost_mpi1_63_0-devel libboost_program_options1_63_0
libboost_program_options1_63_0-devel libboost_python-py2_7-1_63_0
libboost_python-py2_7-1_63_
0-devel libboost_python-py3-1_63_0 libboost_python-py3-1_63_0-devel
libboost_random1_63_0 libboost_random1_63_0-devel libboost_regex1_63_0
libboost_regex1_63_0-devel libboost_serialization1_63_0
libboost_serialization1_63_0-devel libboost_signals1_63_0
libboost_signals1_63_0-devel libboost_system1_63_0 libboost_system1_63_0-devel
libboost_test1_63_0 libboost_test1_63_0-devel libboost_thread1_63_0
libboost_thread1_63_0-devel libboost_timer1_63_0 libboost_timer1_63_0-devel
libboost_type_erasure1_63_0 libboost_type_erasure1_63_0-devel
libboost_wave1_63_0 libboost_wave1_63_0-devel

- update python macros

==== brasero ====
Subpackages: brasero-lang brasero-nautilus libbrasero-burn3-1
libbrasero-media3-1 libbrasero-utils3-1

- Drop brasero BuildRequires from brasero-nautilus sub-package, it
does not need the full suite to be functional.

==== breeze ====
Version update (5.9.1 -> 5.9.2)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style breeze5-wallpapers

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== breeze-gtk ====
Version update (5.9.1 -> 5.9.2)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* Revert "Figure out the GTK version instead of using a hardcoded one"
* Revert "No need for WITH_GTK3_VERSION anymore"
* No need for WITH_GTK3_VERSION anymore
* Figure out the GTK version instead of using a hardcoded one

==== breeze4-style ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== evolution ====
Version update (3.22.4 -> 3.22.5)
Subpackages: evolution-plugin-bogofilter evolution-plugin-pst-import
evolution-plugin-spamassassin

- Update to version 3.22.5:
+ Previous signatures with images not sent properly.
+ Fix few memory leaks.
+ e-editor-dom-functions: Do not override variable name from
parent block.
+ Bugs fixed: bgo#777373, bgo#776391, bgo#775656, bgo#773038,
bgo#777766, bgo#777818, bgo#778036, bgo#778062, bgo#778347.
+ Updated translations.

==== evolution-data-server ====
Version update (3.22.4 -> 3.22.5)
Subpackages: libcamel-1_2-59 libebackend-1_2-10 libebook-1_2-16
libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25 libedata-cal-1_2-28
libedataserver-1_2-22 libedataserverui-1_2-1

- Update to version 3.22.5:
+ Ignore errors when getting message for a body-contains search.
+ Fix a ref/unref imbalance of CamelIMAPXStoreInfo.
+ Fix a memory leak in camel_imapx_server_append_message_sync().
+ Unable to add additional Google calendar.
+ [IMAPx] Avoid unneeded full flags folder update when no changes
made.
+ Bugs fixed: bgo#777431, bgo#777695, bgo#777781, bgo#778222,
bgo#778069, bgo#778265.

==== evolution-ews ====
Version update (3.22.4 -> 3.22.5)
Subpackages: evolution-ews-lang libeews-1_2-0 libewsutils0

- Update to version 3.22.5:
+ Bugs fixed: bgo#777946.

==== flatpak ====
Version update (0.8.0 -> 0.8.2)

- Update to version 0.8.2:
+ This is a bugfix and security update:
- Some of the bind-mounts that flatpak sets up were not
read-only as they should have. This includes: extensions,
system fonts, resolv.conf, localtime and machine-id. Many of
these are typically only writable by root, but some, like the
user-specific fonts and user-installed extensions could be
modified from the sandbox.
+ Other fixes:
- There are new configure options for where to install dbus
configuration.
- Broken symlinks in the root directory no longer break flatpak
run.
- flatpak run with HOME in /var now works.
- dri access now also handles mali devices.
- install handles --arch when installing flatpakrefs.
- system-helper activation fixed on systemd-less setups.
- dbus-proxy now works without /run.
- During installation, failing to update a dependency is now
not fatal.
- /etc is now fully writable when building runtimes.
- --filesystem=xdg-config/foo now sets up the bind-mount from
the host dir even when not using :create.
- Update to version 0.8.1:
+ This is a bugfix and security update (CVE-2017-5226):
- Flatpak now uses seccomp to disallow the TIOCSTI ioctl in the
sandbox, which works around the possibility to inject text on
the controlling tty (CVE-2017-5226).
- This was previously fixed in bubblewrap in 0.1.6, but that
change has now been reverted as it introduced other problems
for flatpak.
+ Update bundled bubblewrap to 0.1.7.
+ Fix writing new file with O_EXCL in the document portal.
+ Allow appstream data that doesn't have .desktop in the
component id, such as data for runtimes.
+ Drop json-glib dependency from 1.2 to 1.0.
+ Builder: Fail if unable to read included file.
+ OCI: Ensure exported layers are readable by everyone.
+ Fix extra-data download in gnome-software.
+ Fix update-mime-database trigger when installing via the system
helper.
+ Updating an app by installing a newer bundle now works again.
+ Make /var/tmp not be on a tmpfs (it is now in
~/.var/app/$appid/cache/tmp).
+ Updated documentation.
+ Updated translations.

==== gdk-pixbuf ====
Version update (2.36.4 -> 2.36.5)
Subpackages: gdk-pixbuf-devel gdk-pixbuf-query-loaders
gdk-pixbuf-query-loaders-32bit libgdk_pixbuf-2_0-0 libgdk_pixbuf-2_0-0-32bit
typelib-1_0-GdkPixbuf-2_0

- Update to version 2.36.5:
+ Fix mimetypes for thumbnailer (bgo#778451).
+ Handle fseek failure (bgo#776990).
+ Fix signed/unsigned handling (bgo#777374).
+ Fix an overflow check (bgo#777315).
+ Handle extreme scaling better (bgo#80925).
+ Updated translations.

==== glib2 ====
Version update (2.50.2 -> 2.50.3)
Subpackages: glib2-devel glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Update to version 2.50.3:
+ Bugs fixed: bgo#775309, bgo#775468, bgo#775517, bgo#775765.
+ Updated translations.
- Drop glib2-Add-missing-check-for-termios_h.patch and
glib2-fix-notify-id-FDO-notification-backend.patch: Fixed
upstream.
- Conditionally apply translations-update-upstream BuildRequires
and macro for non-openSUSE only.

==== gnome-bluetooth ====
Version update (3.20.0 -> 3.20.1)
Subpackages: libgnome-bluetooth13 typelib-1_0-GnomeBluetooth-1_0

- Update to version 3.20.1:
+ Unknown device types now show as "Unknown" rather than "All
types".
+ Fix an invisible spinner when pairing.
+ Fix PIN font size.
- Drop gnome-bluetooth-plugins-geoclue Obsoletes: Not been around
since version 3.11.3, no current openSUSE release carry this.
- Drop libgnomebt-devel Obsoletes/Provides and libgnomebt1
Provides: Not been around since 2009.

==== gnome-calculator ====
Version update (3.22.2 -> 3.22.3)
Subpackages: gnome-shell-search-provider-gnome-calculator

- Update to version 3.22.3:
+ Complex exponentiation fixes (lp#1566513).

==== gnome-photos ====
Version update (3.22.3 -> 3.22.4)
Subpackages: gnome-shell-search-provider-gnome-photos

- Update to version 3.22.4:
+ Bugs fixed: bgo#776565, bgo#776670, bgo#777053.
+ Updated translations.

==== gnome-session ====
Subpackages: gnome-session-core gnome-session-default-session

- Add gnome-session-Restrict-the-login-monitor.patch: Restrict the
login monitor to the "session" category. This reduces overhead
by a small amount, and also reduces the amount of
/var/run/systemd that needs to be read.

==== gnome-video-effects ====
Version update (0.4.1 -> 0.4.3)

- Update to version 0.4.3:
+ Include effects in distribution tarball.
- Changes from version 0.4.2:
+ Correct spelling of inversion effect (bgo#707650).
+ Use only POSIX sh syntax in create_effect_previews.sh.
+ Updated translations.
- Drop obsolete clean section.

==== grilo ====
Version update (0.3.2 -> 0.3.3)
Subpackages: libgrilo-0_3-0 libgrlnet-0_3-0 libgrlpls-0_3-0 typelib-1_0-Grl-0_3

- Update to version 0.3.3:
+ Support for Meson build included.
+ Updated Travis CI to use docker and support meson builds.
+ Bugs fixed: bgo#771339, bgo#773422, bgo#774394, bgo#774578,
bgo#775950.
+ Updated translations.
- Drop grilo-fix-32bit-build.patch: Fixed upstream.

==== gtk3 ====
Version update (3.22.7 -> 3.22.8)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-tools
libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.22.8:
+ Wayland: Avoid overlap between Alt and Meta.
+ Mir:
- Implement window properties.
- Track window focus.
- Connect to content-hub and use it for copy/paste.
- Use modal hint.
+ Bugs fixed: bgo#358970, bgo#765161, bgo#765410, bgo#770112,
bgo#773686, bgo#775732, bgo#775864, bgo#777527, bgo#777547.
+ Updated translations.

==== gtksourceview ====
Version update (3.22.1 -> 3.22.2)
Subpackages: libgtksourceview-3_0-1 typelib-1_0-GtkSource-3_0

- Update to version 3.22.2:
+ Build fixes on Windows.

==== ispell ====
Subpackages: ispell-american ispell-british

- Make ispell-dictionary-alist reload caused by menu setup, for this
use the hook ispell-initialize-spellchecker-hook

==== kactivitymanagerd ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== kcm_sddm ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* Check the background is valid when choosing background type

==== kde-cli-tools5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== kde-gtk-config5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* Don't break compatibility with old configs
* Fix gtk-primary-button-warps-slider with GTK 2

==== kde-user-manager ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== kgamma5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== khotkeys5 ====
Version update (5.9.1 -> 5.9.2)
Subpackages: khotkeys5-devel

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== kinfocenter5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== kmenuedit5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== kscreen5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== kscreenlocker ====
Version update (5.9.1 -> 5.9.2)
Subpackages: libKScreenLocker5

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* Fix crash in Screen Locker KCM on teardown

==== ksshaskpass5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== ksysguard5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== kwin5 ====
Version update (5.9.1 -> 5.9.2)
Subpackages: kwin5-devel

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* [autotests] Add test case for quick tiling on X11
* Avoid a crash on Kwin decoration KCM teardown
* Support creation of PlasmaShellSurface prior to ShellSurface

==== libabw ====

- use individual libboost-*-devel packages instead of boost-devel

==== libapparmor ====
Subpackages: libapparmor-devel libapparmor1 libapparmor1-32bit

- Fix RPM groups

==== libcdr ====

- use individual libboost-*-devel packages instead of boost-devel

==== libdlm ====

- Use source URL; drop redundant %clean section;
rectify RPM groups; run fdupes to merge duplicate files.

==== libe-book ====

- use individual libboost-*-devel packages instead of boost-devel

==== libetonyek ====

- use individual libboost-*-devel packages instead of boost-devel

==== libgltf ====

- use individual libboost-*-devel packages instead of boost-devel

==== libkdecoration2 ====
Version update (5.9.1 -> 5.9.2)
Subpackages: libkdecoration2-devel libkdecorations2-5 libkdecorations2private5

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== libkscreen2 ====
Version update (5.9.1 -> 5.9.2)
Subpackages: libKF5Screen7 libkscreen2-devel libkscreen2-plugin

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== libksysguard5 ====
Version update (5.9.1 -> 5.9.2)
Subpackages: libksysguard5-devel libksysguard5-helper

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== liblouis ====
Subpackages: liblouis-data liblouis9

- Define python_sitelib: newer versions of python-rpm-macros
overwrite it to be python2 specific (python3 macros is called
python3_sitelib).
- To be on the safe side, define __python to python2 when not
building for python3.

==== libmspub ====

- use individual libboost-*-devel packages instead of boost-devel

==== libmwaw ====
Version update (0.3.9 -> 0.3.10)

- Version update to 0.3.10:
* Various fixes for importing Mac powerpoint v4
- use individual libboost-*-devel packages instead of boost-devel

==== libpagemaker ====

- use individual libboost-*-devel packages instead of boost-devel

==== libquicktime ====

- add libquicktime-1.2.4-integer_overflow.patch to fix integer
overflow in the quicktime_read_pascal function in libquicktime
1.2.4 and earlier that allows remote attackers to cause a denial
of service or possibly have other unspecified impact via a crafted
hdlr MP4 atom [bsc#1022805] CVE-2016-2399

==== libreoffice ====
Version update (5.2.3.3 -> 5.3.0.3)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-calc-extensions
libreoffice-draw libreoffice-filters-optional libreoffice-gnome
libreoffice-gtk3 libreoffice-icon-theme-breeze libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr libreoffice-icon-theme-tango libreoffice-impress
libreoffice-kde4 libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de
libreoffice-l10n-el libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-pt_BR libreoffice-l10n-ru libreoffice-l10n-zh_CN
libreoffice-l10n-zh_TW libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreoffice-writer-extensions libreofficekit

- bypass upstream bug for aarch64 and ppc64/ppc64le
https://bugs.documentfoundation.org/show_bug.cgi?id=105519
removing some fods data files source of test failure.
- Fixup pyuno loading as it broke when we dropped the uno patch
- Add conditional liberation2-fonts BuildRequires and Recommends
for Tumbleweed, it is better suited for the version of freetype2
we have available.
- use individual libboost-*-devel packages instead of boost-devel
- Version update to 5.3.0.3:
* RC3 of the 5.3 targets with additional fixes
- Version update to 5.3.0.2:
* RC2 of the 5.3.0 target, stabilizing the lokit
- Provide the breeze-dark content in the breeze icontheme
- Drop system-pyuno.diff patch as it breaks services tests as the
pyuno was not loadable
- Version update to 5.3.0.1:
* RC candidate stabilizing ont he beta1 bump
- Fix unixODBC loading bnc#1017925
* 0001-unixODBC-changed-soname-to-.2-so-reflect-it.patch
- Build firebird driver only for version 3, 2.x series does not pass
tests at all
- Drop 13.2 support, out of scope as EOL
- Version update to 5.3.0.beta2:
* Various bugfixes to bring 5.3 to stability
- Version update to 5.3.0.beta1:
* Starting of testing of new major release
- Refresh patch system-pyuno.diff
- Refresh again libreoffice-hotfix-disablebrokenshapetest.patch
- Drop upstreamed patches:
* libreoffice-firebird3-selftest.patch
* libreoffice-firebird3.patch
* 0001-allow-none-gi-support.patch
- Remove --enable-hardlink-deliver switch that is removed from autotools
- Add dep on libzmf, libstaroffice
- Update internal xmlsec
- Version update to 5.2.4.1
* various bugfixes mostly containing L3 fixes:
- Fix L3 bnc#946674 LO-L3: Undo does not revert bundled font size changes for
table cells
- Fix L3 bnc#952640 LO-L3: Cut and Paste (at the same position) changes bullet
point formatting
- Fix L3 bnc#955548 LO-L3: CTRL+Z not working to undo changes performed through
Navigator
- Fix L3 bnc#959168 LO-L3: Undo on bullet point style change only works when
focus is not set
- bnc#957991 LO-L3: Improve pivot cache reading performance
- Refresh patch libreoffice-hotfix-disablebrokenshapetest.patch

==== librevenge ====
Subpackages: librevenge-0_0-0 librevenge-devel librevenge-generators-0_0-0
librevenge-stream-0_0-0

- use individual libboost-*-devel packages instead of boost-devel

==== libsigc++2 ====
Subpackages: libsigc++2-devel libsigc-2_0-0

- Explicitly BuildRequire m4

==== libvisio ====

- use individual libboost-*-devel packages instead of boost-devel

==== libwps ====
Version update (0.4.4 -> 0.4.5)

- use individual libboost-*-devel packages instead of boost-devel
- Version update to to 0.4.5:
* Additional lotus wk4 support

==== libzypp ====
Version update (16.4.0 -> 16.4.2)

- dumpAsXmlOnL: xml escape node content (bsc#1024909)
- version 16.4.2 (0)
- MediaMultiCurl: Trigger aliveCallback when downloading metalink
files (bsc#1021291)
- version 16.4.1 (0)

==== milou5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== orc ====
Subpackages: liborc-0_4-0 liborc-0_4-0-32bit

- Disable make check for all arches except x86_64 again.

==== ostree ====
Version update (2016.15 -> 2017.1)

- Update to version 2017.1:
+ This release has mostly bugfixes, the main new feature is that
the prune command gained more sophistication around selectively
pruning branches. We're planning to use this in Project Atomic
work where we want to co-locate both "development" and "stable"
branches in the same repository.
+ The next release is likely to be more exciting, as we have an
additional new libcurl backend in the works - this release
contains some preparatory cleanup for that.

==== oxygen5 ====
Version update (5.9.1 -> 5.9.2)
Subpackages: oxygen5-cursors oxygen5-decoration oxygen5-devel oxygen5-lang
oxygen5-sounds oxygen5-style

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* Look and feel - Window decoration

==== plasma-nm5 ====
Version update (5.9.1 -> 5.9.2)
Subpackages: plasma-nm5-openconnect plasma-nm5-openvpn plasma-nm5-pptp
plasma-nm5-vpnc

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== plasma5-addons ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* Lazy QUrl::fromUserInput in web browser

==== plasma5-desktop ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* Fix crash when invoking Present Windows with the group dialog open.
* Fix crash when invoking Present Windows with the group dialog open.
* [Folder View] Don't show script execution prompt on desktop:/
* Use proper version for baloo
* [Folder View] Don't show script execution prompt on desktop:/
* [Folder View] Support extracting files to sub-directories with drag and
drop from Ark
* fix discover desktopid in favorties
* [ContextMenu] Ungrab mouse in taskmanager
* [taskmanager] Uniform tasmanager tooltips to systray ones
* [ContextMenu] Ungrab mouse in taskmanager
* [Task Manager] Don't import QtQuick 2.7
* Reverse TaskManager DragDrop to blacklist Plasma instead of whitelisting
URLs
- Remove patches, now upstream:
* plasma-desktop-run.patch
- Fix build with breeze5-icons >= 5.31
- Fix iconsdir paths

==== plasma5-integration ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* Do not treat filename in selection as URL
* [KHintsSettings] Emit QGuiApplication::paletteChanged when run as
QApplication
- Remove patches, now upstream:
* 0001-Do-not-treat-filename-in-selection-as-URL.patch

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.9.2

==== plasma5-pa ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== plasma5-session ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2

==== plasma5-workspace ====
Version update (5.9.1 -> 5.9.2)
Subpackages: drkonqi5 plasma5-workspace-devel plasma5-workspace-libs

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* TaskManager: add icon to cache after painfully querying it over XCB/NETWM.
* Pass args to DataEngine superclass constructor
* turn the NotificationItem in a MouseArea
* [DesktopView] show() ConfigView when it is already opened
* Match QtQuick import to minimum Qt version
* [Clipboard plasmoid] Fix line breaks
* [System Tray] Part Revert "Trigger context menu on press" as this breaks
xembedsniproxy
* Rename Application Menu to Global Menu to avoid conflict
* [kioslave/remote] Fix porting bugs
* [Icon Applet] More sensible minimum height
* make services disqualification much stricter
* [System Tray Containment] Drop useless Q_INVOKABLE from .cpp file
* [System Tray Containment] Ungrab mouse before opening context menu
- Remove patches, now upstream:
* 0001-make-services-disqualification-much-stricter.patch

==== polkit-kde-agent-5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== powerdevil5 ====
Version update (5.9.1 -> 5.9.2)

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== python3 ====
Version update (3.5.1 -> 3.6.0)
Subpackages: python3-curses python3-dbm python3-tk

- update to 3.6.0
* PEP 498 Formated string literals
* PEP 515 Underscores in numeric literals
* PEP 526 Syntax for variable annotations
* PEP 525 Asynchronous generators
* PEP 530 Asynchronous comprehensions
* PEP 506 New "secrets" module for safe key generation
* less memory consumed by dicts
* dtrace and systemtap support
* improved asyncio module
* better defaults for ssl
* new hashing algorithms in hashlib
* bytecode format changed to allow more optimizations
* "async" and "await" are on track to be reserved words
* StopIteration from generators is deprecated
* support for openssl < 1.0.2 is deprecated
* os.urandom now blocks when getrandom() blocks
* huge number of new features, bugfixes and optimizations
* see https://docs.python.org/3.6/whatsnew/3.6.html for details
- rework multilib patch: drop Python-3.5.0-multilib.patch, implement
upstreamable python-3.6.0-multilib-new.patch
- refresh python-3.3.0b1-localpath.patch, subprocess-raise-timeout.patch
- drop upstreamed Python-3.5.1-fix_lru_cache_copying.patch
- finally drop python-2.6b1-canonicalize2.patch that was not applied in source
and only kept around in case we needed it in the future. (which we don't, as
it seems)
- update import_failed map and baselibs
- improve summaries and descriptions (fixes bsc#917607)
- add new key to keyring (signed by keys already in keyring)
- introduced common configure section between python3 and python3-base
- do not disable ASNEEDED
- remove baselibs/rpmlint as sources from python.spec, only keep in base.spec
- run spec through spec-cleaner, rearrange sections

==== python3-base ====
Version update (3.5.1 -> 3.6.0)
Subpackages: python3-idle

- reenable test_socket with AEAD patch (test-socket-aead-kernel49.patch)
- reintroduce %py3_soflags macro (and better named %cpython3_soabi equivalent)
- update to 3.6.0
* PEP 498 Formated string literals
* PEP 515 Underscores in numeric literals
* PEP 526 Syntax for variable annotations
* PEP 525 Asynchronous generators
* PEP 530 Asynchronous comprehensions
* PEP 506 New "secrets" module for safe key generation
* less memory consumed by dicts
* dtrace and systemtap support
* improved asyncio module
* better defaults for ssl
* new hashing algorithms in hashlib
* bytecode format changed to allow more optimizations
* "async" and "await" are on track to be reserved words
* StopIteration from generators is deprecated
* support for openssl < 1.0.2 is deprecated
* os.urandom now blocks when getrandom() blocks
* huge number of new features, bugfixes and optimizations
* see https://docs.python.org/3.6/whatsnew/3.6.html for details
- rework multilib patch: drop Python-3.5.0-multilib.patch, implement
upstreamable python-3.6.0-multilib-new.patch
- refresh python-3.3.0b1-localpath.patch, subprocess-raise-timeout.patch
- drop upstreamed Python-3.5.1-fix_lru_cache_copying.patch
- finally drop python-2.6b1-canonicalize2.patch that was not applied in source
and only kept around in case we needed it in the future. (which we don't, as
it seems)
- update import_failed map and baselibs
- build ctypes against system libffi
(buildrequire libffi-devel in python3-base)
- add new key to keyring (signed by keys already in keyring)
- introduced common configure section between python3 and python3-base
- moved pyconfig.h and Makefile to devel subpackage as distutils no longer
need it at runtime
- added python-rpm-macros dependency, regenerated macros file, drop
macros.python3.py
because it is not used now
- improve summaries and descriptions (fixes bsc#917607)
- enabled Link-Time Optimization, see what happens
- including skipped_tests.py in pre_checkin.sh run
- run specs through spec-cleaner, rearrange sections

==== python3-louis ====

- Define python_sitelib: newer versions of python-rpm-macros
overwrite it to be python2 specific (python3 macros is called
python3_sitelib).
- To be on the safe side, define __python to python2 when not
building for python3.

==== python3-urllib3 ====

- Add BuildRoot to fix build on less forgiving targets

==== shim-leap ====

- Support %posttrans with marcos provided by update-bootloader-rpm-macros
package (bsc#997317) (fix from mchang@xxxxxxxx)

==== systemsettings5 ====
Version update (5.9.1 -> 5.9.2)
Subpackages: systemsettings5-devel

- Update to 5.9.2
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
* None

==== unzip ====
Subpackages: unzip-doc

- Fixed two potential buffer overflows.
The patches were extracted from
http://antinode.info/ftp/info-zip/unzip60/zipinfo.c and
http://antinode.info/ftp/info-zip/unzip60/list.c
(bsc#1013992, bsc#1013993, CVE-2016-9844, CVE-2014-9913,
CVE-2016-9844.patch, CVE-2014-9913.patch)

==== v4l-utils ====
Version update (1.10.1 -> 1.12.2)
Subpackages: libv4l libv4l-devel libv4l1-0 libv4l1-0-32bit libv4l2-0
libv4l2-0-32bit libv4l2rds0 libv4lconvert0 libv4lconvert0-32bit

- Update to version 1.12.2:
* libdvbv5: Link against libudev
* buildsystem: Add all files to dist target
* v4l2-ctl: Fix unneeded dot in "no hsync lock"
* man: Fix typos in dvbv5-scan dvbv5-zap pages
* libdvbv5: Improve vdr format output for DVB-T(2)
* dvb-fe-tool: add an option to set maximum number of stat samples
* libdvbv5: Fix dvb-format-convert segfault
* ir-ctl: `strndupa' undefined with --disable-nls
- Some packaging cleanup
- Recommend dtv-scan-tables-v5 by dvb-utils

==== vim ====
Subpackages: gvim vim-data

- Add test87-python36.patch to update test results for Python 3.6

==== vinagre ====
Subpackages: vinagre-lang

- Add vinagre-cert-validation-api.patch:
Fix certificate validation callback incompatibilities with
freerdp 1.2 that causes rdp connections to abort (bgo#774473,
boo#1002350).

==== webkit2gtk3 ====
Version update (2.14.3 -> 2.14.5)
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Update to version 2.14.5:
+ Fix rendering of non-accelerated contents with HiDPI.
+ Revert the fix for rendering issues in long documents with
transparent background because it caused issues in HiDPI.
- Update to version 2.14.4:
+ Make accelerating compositing mode on-demand again. By default
it will only be used for websites that require it, saving a lot
of memory on websites that don?t need it.
+ Fix rendering issues in long documents with transparent
background.
+ Release unused UpdateAtlas and reduce the tile coverage on
memory pressure.
+ The media backend now stores preloaded media in /var/tmp
instead of user cache dir.
+ Make inspector work again when accelerated compositing support
is disabled.
+ Fix a deadlock when the media player is destroyed.
+ Fix network process crashes when loading custom URI schemes.
+ Fix overlay scrollbars that are over a subframe.
+ Fix a crash in GraphicsContext3D::drawArrays when using OpenGL
3.2 core profile.
+ Fix BadDamage X errors happening when resizing the WebView.
+ Fix several crashes and rendering issues.
+ Security fixes: CVE-2017-2365, CVE-2017-2366, CVE-2017-2373,
CVE-2017-2363, CVE-2017-2362, CVE-2017-2350, CVE-2017-2350,
CVE-2017-2354, CVE-2017-2355, CVE-2017-2356, CVE-2017-2371,
CVE-2017-2364, CVE-2017-2369.

==== wine ====
Version update (2.1 -> 2.2)
Subpackages: wine-32bit

- Update to 2.2 development snapshot
- Windows version set to Windows 7 for new prefixes.
- More steps towards the Direct3D command stream.
- Still more Shader Model 5 instructions.
- Initial support for double-buffered theme painting.
- Various bug fixes.
- updated winetricks

==== wireshark ====
Subpackages: libwireshark8 libwiretap6 libwscodecs1 libwsutil7 wireshark-ui-qt

- Disable gnutls on SLE11 as we are unable to meet the gnutls
requirements there

==== zypper ====
Version update (1.13.15 -> 1.13.16)
Subpackages: zypper-aptitude zypper-log

- Fix invalid xml in gpg key info output(bsc#1024909)
- BuildRequires: libzypp-devel >= 16.4.2
- version 1.13.16

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >